Package org.opensaml.saml.saml1.core

# Interface AttributeDesignator

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Subinterfaces:
  `Attribute`

All Known Implementing Classes:
  `AttributeDesignatorImpl`, `AttributeImpl`

public interface AttributeDesignator extends SAMLObject
This interface defines how the object representing a SAML 1 `AttributeDesignator` element behaves.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATTRIBUTENAME_ATTRIB_NAME`
Name for the AttributeName attribute.
`static final String`
`ATTRIBUTENAMESPACE_ATTRIB_NAME`
Name for the AttributeNamespace attribute.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttributeName()`
Get the contents of the AttributeName attribute.
`String`
`getAttributeNamespace()`
Get the contents of the AttributeNamespace attribute.
`void`
`setAttributeName(String attributeName)`
Set the contents of the AttributeName attribute.
`void`
`setAttributeNamespace(String attributeNamespace)`
Set the contents of the AttributeNamespace attribute.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### ATTRIBUTENAME_ATTRIB_NAME

@Nonnull @NotEmpty static final String ATTRIBUTENAME_ATTRIB_NAME
Name for the AttributeName attribute.

See Also:
  - Constant Field Values

### ATTRIBUTENAMESPACE_ATTRIB_NAME

@Nonnull @NotEmpty static final String ATTRIBUTENAMESPACE_ATTRIB_NAME
Name for the AttributeNamespace attribute.

See Also:
  - Constant Field Values

## Method Details

### getAttributeName

@Nullable String getAttributeName()
Get the contents of the AttributeName attribute.

Returns:
  the AttributeName attribute

### setAttributeName

void setAttributeName(@Nullable String attributeName)
Set the contents of the AttributeName attribute.

Parameters:
  `attributeName` - value to set

### getAttributeNamespace

@Nullable String getAttributeNamespace()
Get the contents of the AttributeNamespace attribute.

Returns:
  the AttributeNamespace attribute

### setAttributeNamespace

void setAttributeNamespace(@Nullable String attributeNamespace)
Set the contents of the AttributeNamespace attribute.

Parameters:
  `attributeNamespace` - value to set